#
# spec file for package ghc-pure-cdb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pure-cdb
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.2
Release:        1.11
Summary:        Another pure-haskell CDB (Constant Database) implementation
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-Unixutils-devel
BuildRequires:  ghc-test-simple-devel
%endif
# End cabal-rpm deps

%description
A library for reading and writing CDB (Constant Database) files.

CDB files are immutable key-value stores, designed for extremely fast and
memory-efficient construction and lookup. They can be as large as 4GB, and at
no point in their construction or use must all data be loaded into memory.
CDB files can contain multiple values for a given key.

For more information on the CDB file format, please see:
<http://cr.yp.to/cdb.html>

Please note, that there is another pure Haskell CDB library on Hackage:
<http://hackage.haskell.org/package/hs-cdb>, using memory mapped bytestrings
for IO. It served as an inspiration for this package.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%{cabal} test
%endif


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYING

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.2 revision 0 with cabal2obs.
